1. pl-cru-record
Dokumentacja MGBI API
  • MGBI API
    • Wprowadzenie
    • Autoryzacja
    • Pojęcia
    • Modele danych
      • pl-krs-wp-record
      • pl-krs-wp-entry
      • pl-krs-rdf-record
      • pl-ceidg-hd-record
      • pl-krz-wp-record
      • pl-wpv-record
      • pl-crbr-wp-record
      • pl-msig-record
      • pl-sudop-wpopb-record
      • pl-bzp-record
      • pl-cru-record
      • pl-rdr-record
      • pl-idpcit-record
      • pl-kreptd-api-record
      • pl-mgbi-lu-record
    • Endpointy dla modeli danych
      • pl-krs-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-krs-wp-entry
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-krs-rdf-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Type Enum Values
        • Get Model Info
      • pl-ceidg-hd-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-krz-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-wpv-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-crbr-wp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-msig-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Download File By Id
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-sudop-wpopb-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-bzp-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-cru-record
        • Get Records
          GET
        • Get Record By Id
          GET
        • Get Stream Records
          GET
        • Post Stream Records
          POST
        • Get Limits
          GET
        • Get Projections
          GET
        • Get Model Info
          GET
      • pl-rdr-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-idpcit-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-kreptd-api-record
        • Get Records
        • Get Record By Id
        • Get Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Model Info
      • pl-mgbi-lu-record
        • Get Records
        • Get Record By Id
        • Stream Records
        • Post Stream Records
        • Get Limits
        • Get Projections
        • Get Category
        • Get Model Info
    • Zlecanie odświeżenia danych
      • Ogólne informacje
      • Create Refresh
      • Get Refresh
    • Tworzenie raportów
      • Ogólne informacje
      • Create Report
      • Get Report By Id
      • Get Reports
      • Download Report
      • Delete Report
  1. pl-cru-record

Get Records

GET
/v1/models/pl-cru-record/records
Pobiera rekordy -NEW-.
W przypadku sukcesu w odpowiedzi zwraca paginowaną listę rekordów.
W przypadku braku rekordów spełniających podane kryteria zwraca pustą listę.
Poprawne wywołanie endpointu zwiększa liczniki:
api i api_search o 1
api_search_results o 1 jeśli zwrócono co najmniej jeden rekord
records i records_api_search o liczbę zwróconych rekordów

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.mgbi.pl/v1/models/pl-cru-record/records?identifiers.pl_cru_contract_number=undefined&identifiers.pl_krs=undefined&identifiers.pl_nip=undefined&identifiers.pl_regon=undefined&content=undefined&limit=undefined&meta.last_update_datetime_from=undefined&meta.last_update_datetime_to=undefined&offset=undefined&page=undefined&per_page=undefined&projection=undefined' \
--header 'Authorization;'

Responses

🟢200Successful Response
application/json
Successful Response
Bodyapplication/json

Example
{
    "count": 0,
    "pages": 0,
    "results": [
        {
            "_id": "000000000000000000000000",
            "content": {
                "raw_result": {
                    "dataModyfikacji": "03.07.2026",
                    "dataPublikacji": "03.07.2026",
                    "finansowanaZeSrodkow": false,
                    "idUmowy": "13749c8c-9a13-4ed3-895e-e12d30aa01a6",
                    "okresObowiazywania": {
                        "okres": "7 dni",
                        "umowaNaCzasNieoznaczony": false
                    },
                    "podstawoweDane": {
                        "brakNumeruUmowy": false,
                        "dataZawarciaUmowy": "01.07.2026",
                        "numerUmowy": "BGK/1/2026",
                        "statusUmowy": "Aktywna"
                    },
                    "stronyUmowy": [
                        {
                            "daneAdresowe": {
                                "gminaMiastoDzielnica": "Pasłęk",
                                "kodPocztowy": "14-400",
                                "miejscowosc": "Pasłęk",
                                "numerNieruchomosci": "5",
                                "powiat": "elbląski",
                                "ulica": "pl. św. Wojciecha",
                                "wojewodztwo": "WARMIŃSKO-MAZURSKIE"
                            },
                            "kraj": "Polska",
                            "nazwa": "URZĄD MIEJSKI W PASŁĘKU",
                            "nip": "5780015378",
                            "regon": "000524447",
                            "rodzaj": "JSFP"
                        },
                        {
                            "czyKonsorcjum": false,
                            "daneAdresowe": {
                                "gminaMiastoDzielnica": "Ruda Śląska",
                                "kodPocztowy": "41-710",
                                "miejscowosc": "Ruda Śląska",
                                "numerNieruchomosci": "181",
                                "powiat": "Ruda Śląska",
                                "ulica": "ul. Wyzwolenia",
                                "wojewodztwo": "ŚLĄSKIE"
                            },
                            "kraj": "Polska",
                            "nazwa": "AKUMULATORY24.PL SPÓŁKA Z OGRANICZONĄ ODPOWIEDZIALNOŚCIĄ",
                            "nip": "6412566978",
                            "regon": "528523835",
                            "rodzaj": "JSFP"
                        }
                    ],
                    "szczegolyUmowy": {
                        "przedmiotUmowy": "Zakup akumulatora YUASA REC22-12",
                        "wartoscPrzedmiotu": 289.98
                    },
                    "zmianyUmowy": []
                }
            },
            "identifiers": {
                "pl_cru_contract_number": "BGK/1/2026",
                "pl_krs": [
                    "0001103601"
                ],
                "pl_nip": [
                    "5780015378",
                    "6412566978"
                ],
                "pl_regon": [
                    "000524447",
                    "528523835"
                ]
            },
            "meta": {
                "first_update_datetime": "2026-07-24T13:48:39.698Z",
                "last_update_datetime": "2026-08-08T02:59:46.774Z"
            }
        }
    ]
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠429Too Many Requests
Modified at 2026-11-19 12:10:40
Previous
pl-cru-record
Next
Get Record By Id
Built with